App\Library\Amazon\Classes\Helmet:
    xml_root_name: Helmet
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Helmet\VariationDataAType
        department:
            expose: true
            access_type: public_method
            serialized_name: Department
            accessor:
                getter: getDepartment
                setter: setDepartment
            xml_list:
                inline: true
                entry_name: Department
            type: array<string>
        styleKeywords:
            expose: true
            access_type: public_method
            serialized_name: StyleKeywords
            accessor:
                getter: getStyleKeywords
                setter: setStyleKeywords
            xml_list:
                inline: true
                entry_name: StyleKeywords
            type: array<string>
        safetyRating:
            expose: true
            access_type: public_method
            serialized_name: SafetyRating
            accessor:
                getter: getSafetyRating
                setter: setSafetyRating
            xml_list:
                inline: true
                entry_name: SafetyRating
            type: array<App\Library\Amazon\Classes\SafetyRating>
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\Helmet\ColorSpecificationAType
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        innerMaterial:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterial
            accessor:
                getter: getInnerMaterial
                setter: setInnerMaterial
            type: string
        outerMaterial:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterial
            accessor:
                getter: getOuterMaterial
                setter: setOuterMaterial
            type: string
        occasionAndLifestyle:
            expose: true
            access_type: public_method
            serialized_name: OccasionAndLifestyle
            accessor:
                getter: getOccasionAndLifestyle
                setter: setOccasionAndLifestyle
            xml_list:
                inline: true
                entry_name: OccasionAndLifestyle
            type: array<string>
        eventKeywords:
            expose: true
            access_type: public_method
            serialized_name: EventKeywords
            accessor:
                getter: getEventKeywords
                setter: setEventKeywords
            xml_list:
                inline: true
                entry_name: EventKeywords
            type: array<string>
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        specialSizeType:
            expose: true
            access_type: public_method
            serialized_name: SpecialSizeType
            accessor:
                getter: getSpecialSizeType
                setter: setSpecialSizeType
            xml_list:
                inline: true
                entry_name: SpecialSizeType
            type: array<string>
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        numberOfHoles:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHoles
            accessor:
                getter: getNumberOfHoles
                setter: setNumberOfHoles
            type: integer
        numberOfGrooves:
            expose: true
            access_type: public_method
            serialized_name: NumberOfGrooves
            accessor:
                getter: getNumberOfGrooves
                setter: setNumberOfGrooves
            type: integer
        partInterchangeData:
            expose: true
            access_type: public_method
            serialized_name: PartInterchangeData
            accessor:
                getter: getPartInterchangeData
                setter: setPartInterchangeData
            type: App\Library\Amazon\Classes\Helmet\PartInterchangeDataAType
        viscosity:
            expose: true
            access_type: public_method
            serialized_name: Viscosity
            accessor:
                getter: getViscosity
                setter: setViscosity
            type: string
        soleMaterial:
            expose: true
            access_type: public_method
            serialized_name: SoleMaterial
            accessor:
                getter: getSoleMaterial
                setter: setSoleMaterial
            type: string
        shoeClosureType:
            expose: true
            access_type: public_method
            serialized_name: ShoeClosureType
            accessor:
                getter: getShoeClosureType
                setter: setShoeClosureType
            type: string
        shoeWidth:
            expose: true
            access_type: public_method
            serialized_name: ShoeWidth
            accessor:
                getter: getShoeWidth
                setter: setShoeWidth
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: integer
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: integer
        amperage:
            expose: true
            access_type: public_method
            serialized_name: Amperage
            accessor:
                getter: getAmperage
                setter: setAmperage
            type: App\Library\Amazon\Classes\AmperageDimensionType
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: string
        accessLocation:
            expose: true
            access_type: public_method
            serialized_name: AccessLocation
            accessor:
                getter: getAccessLocation
                setter: setAccessLocation
            type: string
        loadCapacity:
            expose: true
            access_type: public_method
            serialized_name: LoadCapacity
            accessor:
                getter: getLoadCapacity
                setter: setLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        uniformTireQualityGradeRating:
            expose: true
            access_type: public_method
            serialized_name: UniformTireQualityGradeRating
            accessor:
                getter: getUniformTireQualityGradeRating
                setter: setUniformTireQualityGradeRating
            type: string
        treadDepth:
            expose: true
            access_type: public_method
            serialized_name: TreadDepth
            accessor:
                getter: getTreadDepth
                setter: setTreadDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        wheelBackspacing:
            expose: true
            access_type: public_method
            serialized_name: WheelBackspacing
            accessor:
                getter: getWheelBackspacing
                setter: setWheelBackspacing
            type: App\Library\Amazon\Classes\LengthDimensionType
        compatibleWithVehicleType:
            expose: true
            access_type: public_method
            serialized_name: CompatibleWithVehicleType
            accessor:
                getter: getCompatibleWithVehicleType
                setter: setCompatibleWithVehicleType
            xml_list:
                inline: true
                entry_name: CompatibleWithVehicleType
            type: array<string>
        autoPartPosition:
            expose: true
            access_type: public_method
            serialized_name: AutoPartPosition
            accessor:
                getter: getAutoPartPosition
                setter: setAutoPartPosition
            type: string
        dimmingControl:
            expose: true
            access_type: public_method
            serialized_name: DimmingControl
            accessor:
                getter: getDimmingControl
                setter: setDimmingControl
            type: string
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: string
        waterResistanceLevel:
            expose: true
            access_type: public_method
            serialized_name: WaterResistanceLevel
            accessor:
                getter: getWaterResistanceLevel
                setter: setWaterResistanceLevel
            type: string
        shaftDiameter:
            expose: true
            access_type: public_method
            serialized_name: ShaftDiameter
            accessor:
                getter: getShaftDiameter
                setter: setShaftDiameter
            type: integer
        shellType:
            expose: true
            access_type: public_method
            serialized_name: ShellType
            accessor:
                getter: getShellType
                setter: setShellType
            type: string
        maximumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MaximumCircumference
            accessor:
                getter: getMaximumCircumference
                setter: setMaximumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumCircumference:
            expose: true
            access_type: public_method
            serialized_name: MinimumCircumference
            accessor:
                getter: getMinimumCircumference
                setter: setMinimumCircumference
            type: App\Library\Amazon\Classes\LengthDimensionType
        liningDescription:
            expose: true
            access_type: public_method
            serialized_name: LiningDescription
            accessor:
                getter: getLiningDescription
                setter: setLiningDescription
            type: string
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        packageTypeName:
            expose: true
            access_type: public_method
            serialized_name: PackageTypeName
            accessor:
                getter: getPackageTypeName
                setter: setPackageTypeName
            type: string
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        targetAudience:
            expose: true
            access_type: public_method
            serialized_name: TargetAudience
            accessor:
                getter: getTargetAudience
                setter: setTargetAudience
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
        legalComplianceCertificationRegulatoryOrganizationName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationRegulatoryOrganizationName
            accessor:
                getter: getLegalComplianceCertificationRegulatoryOrganizationName
                setter: setLegalComplianceCertificationRegulatoryOrganizationName
            type: string
        legalComplianceCertificationCertifyingAuthorityName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationCertifyingAuthorityName
            accessor:
                getter: getLegalComplianceCertificationCertifyingAuthorityName
                setter: setLegalComplianceCertificationCertifyingAuthorityName
            type: string
        legalComplianceCertificationGeographicJurisdiction:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationGeographicJurisdiction
            accessor:
                getter: getLegalComplianceCertificationGeographicJurisdiction
                setter: setLegalComplianceCertificationGeographicJurisdiction
            type: string
        legalComplianceCertificationStatus:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationStatus
            accessor:
                getter: getLegalComplianceCertificationStatus
                setter: setLegalComplianceCertificationStatus
            type: string
        legalComplianceCertificationMetadata:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationMetadata
            accessor:
                getter: getLegalComplianceCertificationMetadata
                setter: setLegalComplianceCertificationMetadata
            type: string
        legalComplianceCertificationExpirationDate:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationExpirationDate
            accessor:
                getter: getLegalComplianceCertificationExpirationDate
                setter: setLegalComplianceCertificationExpirationDate
            type: string
        legalComplianceCertificationDateOfIssue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationDateOfIssue
            accessor:
                getter: getLegalComplianceCertificationDateOfIssue
                setter: setLegalComplianceCertificationDateOfIssue
            type: string
        legalComplianceCertificationValue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationValue
            accessor:
                getter: getLegalComplianceCertificationValue
                setter: setLegalComplianceCertificationValue
            type: string
